Bug 1420087 (libdivecomputer-subsurface) - Review Request: libdivecomputer-subsurface - Library for communication with dive computers
Summary: Review Request: libdivecomputer-subsurface - Library for communication with d...
Keywords:
Status: CLOSED RAWHIDE
Alias: libdivecomputer-subsurface
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1271883
TreeView+ depends on / blocked
 
Reported: 2017-02-07 18:37 UTC by Rex Dieter
Modified: 2017-02-17 12:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-17 12:59:36 UTC
Type: ---
projects.rg: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2017-02-07 18:37:36 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/subsurface/libdivecomputer-subsurface.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/subsurface/libdivecomputer-subsurface-4.6.0-1.fc25.src.rpm
Description: Libdivecomputer is a cross-platform and open source library for
communication with dive computers from various manufacturers.
Fedora Account System Username: rdieter

This version of libdivecomputer is a statically-built fork hosted by subsurface, primarily for use in subsurface packaging.

Comment 1 Rex Dieter 2017-02-07 18:38:28 UTC
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17654300

Comment 2 Rex Dieter 2017-02-07 18:43:27 UTC
Also hosted @ copr,
https://copr.fedorainfracloud.org/coprs/pingou/subsurface/

Comment 3 Raphael Groner 2017-02-07 19:52:12 UTC
Taken. :)

Comment 4 Rex Dieter 2017-02-12 14:15:25 UTC
ping, any news?

Comment 7 Raphael Groner 2017-02-16 18:01:23 UTC
APPROVED

Though, I would like to give some hints:
- Maybe poke upstream to add a note about the Public Domain for aes.
- Please mention the intention of this package (statically-built,
  primarily use) also in the description.
- Version 4.6.1 is available.
- Please fix E: description-line-too-long (see below) before importing.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "Unknown or generated". 17 files have
     unknown license. Detailed output of licensecheck in /home/builder
     /fedora-review/1420087-libdivecomputer-subsurface/licensecheck.txt
=> OK. aes.c and aes.h are in Public Domain, as noted in comment.
   Other listed files with unknown license are no source files.

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/include/libdivecomputer
     (libdivecomputer-devel)
=> OK. There's libdivecomputer-devel only, no main package.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
=> Intention is documented in the review request. You should add it also
   into package description.

[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Static libraries in -static or -devel subpackage, providing -devel if
     present.
     Note: Package has .a files: libdivecomputer-subsurface-devel.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
=> Version 4.6.1 is available.

[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libdivecomputer-subsurface-devel-4.6.0-2.fc26.x86_64.rpm
          libdivecomputer-subsurface-4.6.0-2.fc26.src.rpm
libdivecomputer-subsurface-devel.x86_64: E: description-line-too-long C The libdivecomputer-subsurface-devel package contains libraries and header files for
libdivecomputer-subsurface.src:3: W: macro-in-comment %{snapdate}
libdivecomputer-subsurface.src:3: W: macro-in-comment %{snaphash}
2 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
libdivecomputer-subsurface-devel.x86_64: E: description-line-too-long C The libdivecomputer-subsurface-devel package contains libraries and header files for
1 packages and 0 specfiles checked; 1 errors, 0 warnings.



Requires
--------
libdivecomputer-subsurface-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    pkgconfig(libusb-1.0)



Provides
--------
libdivecomputer-subsurface-devel:
    libdc-devel
    libdc-devel(x86-64)
    libdc-static
    libdc-static(x86-64)
    libdivecomputer-subsurface-devel
    libdivecomputer-subsurface-devel(x86-64)
    libdivecomputer-subsurface-static
    libdivecomputer-subsurface-static(x86-64)
    pkgconfig(libdivecomputer)



Source checksums
----------------
https://subsurface-divelog.org/downloads/libdivecomputer-subsurface-branch-4.6.0.tgz :
  CHECKSUM(SHA256) this package     : b8605225e6135095010812c325c7b0cdb88f4629ffcc2a1fd553774184f9a612
  CHECKSUM(SHA256) upstream package : b8605225e6135095010812c325c7b0cdb88f4629ffcc2a1fd553774184f9a612


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1420087
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Gwyn Ciesla 2017-02-16 22:58:30 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/libdivecomputer-subsurface

Comment 9 Rex Dieter 2017-02-17 12:59:36 UTC
imported, thanks.


Note You need to log in before you can comment on or make changes to this bug.